import { Expose, Type } from 'class-transformer';
import { ModuloOutputDto } from '../../../modulo/dto/output/modulo.dto';
import { TipoCarritoOutputDto } from '../../../institucion-tipo-carrito/dto/output/tipo-carrito.dto';

export class CarritoOutputDto {
  @Expose()
  id_carrito;

  @Expose()
  carrito;

  @Expose()
  activo;

  @Expose()
  marca;

  @Expose()
  modelo;

  @Type(() => ModuloOutputDto)
  @Expose()
  modulo;

  @Type(() => TipoCarritoOutputDto)
  @Expose()
  tipoCarrito;
}
