import { Expose, Type } from 'class-transformer';
import { TipoCarritoOutputDto } from '../../../institucion-tipo-carrito/dto/output/tipo-carrito.dto';
import { ModulosOutputDto } from '../../../modulo/dto/output/modulos.dto';

export class CarritosOutputDto {
  @Expose()
  id_carrito;

  @Expose()
  carrito;

  @Expose()
  activo;

  @Type(() => ModulosOutputDto)
  @Expose()
  modulo;

  @Type(() => TipoCarritoOutputDto)
  @Expose()
  tipoCarrito;
}
